/*
* IceBreaker
* Copyright (c) 2000-2002 Matthew Miller <mattdm@mattdm.org>
*
* <http://www.mattdm.org/icebreaker/>
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation; either version 2 of the License, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc., 59
* Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*/

// fix -- move this to be config.h, and make the current globals.h be
// icebreaker.h

#ifndef ICEBREAKER_H
#define ICEBREAKER_H

#define VERSION 1.9.2
#define VERMAJOR 1
#define VERMINOR 9
#define VERSUB 2

#define PRERELEASE 1


#ifndef HISCOREPREFIX
#define HISCOREPREFIX "/var/lib/games"
#endif

#define HISCOREFILE "icebreaker.scores"

#ifndef DATAPREFIX 
#define DATAPREFIX "/usr/local/share/icebreaker"
#endif

#ifndef OPTIONFILE
  #ifdef WIN32
    #define OPTIONFILE "icebreaker.cfg"
  #else
    #define OPTIONFILE ".icebreaker"
  #endif
#endif  

#define SNDFILEOUCH "ouch.wav"
#define SNDFILEBREAK "crash.wav"
#define PENGUINBMPFILE "penguin.bmp"

#ifdef WIN32
  #define PENGUINICONFILE "penguinicon_32.bmp"
#else
  #define PENGUINICONFILE "icebreaker_48.bmp"
#endif

#define THEMEFILEEXTENSION ".ibt"
// this isn't because of filesystem restrictions, although it might help
// with portability. It's because of display space in the options menu. 
#define MAXTHEMENAMELENGTH 7

#define BLOCKWIDTH 14
#define BLOCKHEIGHT 14

#define COLS 32
#define ROWS 20

#define PLAYWIDTH (COLS*BLOCKWIDTH)
#define PLAYHEIGHT (ROWS*BLOCKHEIGHT)

#define MARGINTOP 39
#define MARGINBOTTOM 38
#define MARGINLEFT 26
#define MARGINRIGHT 26

#define FULLWIDTH 640   
#define FULLHEIGHT 480  
#define FULLTOPMARGIN 80

#define WIDTH (MARGINLEFT+PLAYWIDTH+MARGINRIGHT)
#define HEIGHT (MARGINTOP+PLAYHEIGHT+MARGINBOTTOM)

#define BORDERTOP    MARGINTOP
#define BORDERBOTTOM (MARGINTOP+PLAYHEIGHT)
#define BORDERLEFT   MARGINLEFT
#define BORDERRIGHT  (MARGINLEFT+PLAYWIDTH)

#define VIDEODEPTH 16

#define MAXPENGUINS 100

#define PENGUINSPEED 2

#define LINESPEED 2

#define LINEMAXSTUCK 750

#define PERCENTREQUIRED 80
#define PERCENTBONUS 80
#define PERCENTEXTRABONUS 85

#ifndef true
#define true -1
#endif

#ifndef false
#define false 0
#endif


#ifdef WIN32
	#include "win32_compatibility.h"
#endif


#endif /* ICEBREAKER_H */
